diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/pss-ff-mac-scheduler.cc ns-3.40/src/lte/model/pss-ff-mac-scheduler.cc
--- ns-3.39/src/lte/model/pss-ff-mac-scheduler.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/pss-ff-mac-scheduler.cc	2023-09-27 13:30:37.826839700 -0700
@@ -2094,15 +2032,13 @@
         uint8_t harqId = 0;
         if (m_harqOn)
         {
-            std::map<uint16_t, uint8_t>::iterator itProcId;
-            itProcId = m_ulHarqCurrentProcessId.find(uldci.m_rnti);
+            auto itProcId = m_ulHarqCurrentProcessId.find(uldci.m_rnti);
             if (itProcId == m_ulHarqCurrentProcessId.end())
             {
                 NS_FATAL_ERROR("No info find in HARQ buffer for UE " << uldci.m_rnti);
             }
             harqId = (*itProcId).second;
-            std::map<uint16_t, UlHarqProcessesDciBuffer_t>::iterator itDci =
-                m_ulHarqProcessesDciBuffer.find(uldci.m_rnti);
+            auto itDci = m_ulHarqProcessesDciBuffer.find(uldci.m_rnti);
             if (itDci == m_ulHarqProcessesDciBuffer.end())
             {
                 NS_FATAL_ERROR("Unable to find RNTI entry in UL DCI HARQ buffer for RNTI "
@@ -2110,8 +2046,7 @@
             }
             (*itDci).second.at(harqId) = uldci;
             // Update HARQ process status (RV 0)
-            std::map<uint16_t, UlHarqProcessesStatus_t>::iterator itStat =
-                m_ulHarqProcessesStatus.find(uldci.m_rnti);
+            auto itStat = m_ulHarqProcessesStatus.find(uldci.m_rnti);
             if (itStat == m_ulHarqProcessesStatus.end())
             {
                 NS_LOG_ERROR("No info find in HARQ buffer for UE (might change eNB) "
@@ -2165,8 +2100,6 @@
 {
     NS_LOG_FUNCTION(this);
 
-    std::map<uint16_t, uint32_t>::iterator it;
-
     for (unsigned int i = 0; i < params.m_macCeList.size(); i++)
     {
         if (params.m_macCeList.at(i).m_macCeType == MacCeListElement_s::BSR)
@@ -2187,7 +2120,7 @@
 
             uint16_t rnti = params.m_macCeList.at(i).m_rnti;
             NS_LOG_LOGIC(this << "RNTI=" << rnti << " buffer=" << buffer);
-            it = m_ceBsrRxed.find(rnti);
+            auto it = m_ceBsrRxed.find(rnti);
             if (it == m_ceBsrRxed.end())
             {
                 // create the new entry
@@ -2233,11 +2166,9 @@
     switch (params.m_ulCqi.m_type)
     {
     case UlCqi_s::PUSCH: {
-        std::map<uint16_t, std::vector<uint16_t>>::iterator itMap;
-        std::map<uint16_t, std::vector<double>>::iterator itCqi;
         NS_LOG_DEBUG(this << " Collect PUSCH CQIs of Frame no. " << (params.m_sfnSf >> 4)
                           << " subframe no. " << (0xF & params.m_sfnSf));
-        itMap = m_allocationMaps.find(params.m_sfnSf);
+        auto itMap = m_allocationMaps.find(params.m_sfnSf);
         if (itMap == m_allocationMaps.end())
         {
             return;
@@ -2246,7 +2177,7 @@
         {
             // convert from fixed point notation Sxxxxxxxxxxx.xxx to double
             double sinr = LteFfConverter::fpS11dot3toDouble(params.m_ulCqi.m_sinr.at(i));
-            itCqi = m_ueCqi.find((*itMap).second.at(i));
+            auto itCqi = m_ueCqi.find((*itMap).second.at(i));
             if (itCqi == m_ueCqi.end())
             {
                 // create a new entry
@@ -2276,8 +2207,7 @@
                 NS_LOG_DEBUG(this << " RNTI " << (*itMap).second.at(i) << " RB " << i << " SINR "
                                   << sinr);
                 // update correspondent timer
-                std::map<uint16_t, uint32_t>::iterator itTimers;
-                itTimers = m_ueCqiTimers.find((*itMap).second.at(i));
+                auto itTimers = m_ueCqiTimers.find((*itMap).second.at(i));
                 (*itTimers).second = m_cqiTimersThreshold;
             }
         }
@@ -2298,8 +2228,7 @@
                 rnti = vsp->GetRnti();
             }
         }
-        std::map<uint16_t, std::vector<double>>::iterator itCqi;
-        itCqi = m_ueCqi.find(rnti);
+        auto itCqi = m_ueCqi.find(rnti);
         if (itCqi == m_ueCqi.end())
         {
             // create a new entry
@@ -2326,8 +2255,7 @@
                                  << sinr);
             }
             // update correspondent timer
-            std::map<uint16_t, uint32_t>::iterator itTimers;
-            itTimers = m_ueCqiTimers.find(rnti);
+            auto itTimers = m_ueCqiTimers.find(rnti);
             (*itTimers).second = m_cqiTimersThreshold;
         }
     }
@@ -2347,7 +2275,7 @@
 PssFfMacScheduler::RefreshDlCqiMaps()
 {
     // refresh DL CQI P01 Map
-    std::map<uint16_t, uint32_t>::iterator itP10 = m_p10CqiTimers.begin();
+    auto itP10 = m_p10CqiTimers.begin();
     while (itP10 != m_p10CqiTimers.end())
     {
         NS_LOG_INFO(this << " P10-CQI for user " << (*itP10).first << " is "
@@ -2355,12 +2283,12 @@
         if ((*itP10).second == 0)
         {
             // delete correspondent entries
-            std::map<uint16_t, uint8_t>::iterator itMap = m_p10CqiRxed.find((*itP10).first);
+            auto itMap = m_p10CqiRxed.find((*itP10).first);
             NS_ASSERT_MSG(itMap != m_p10CqiRxed.end(),
                           " Does not find CQI report for user " << (*itP10).first);
             NS_LOG_INFO(this << " P10-CQI expired for user " << (*itP10).first);
             m_p10CqiRxed.erase(itMap);
-            std::map<uint16_t, uint32_t>::iterator temp = itP10;
+            auto temp = itP10;
             itP10++;
             m_p10CqiTimers.erase(temp);
         }
@@ -2372,7 +2300,7 @@
     }
 
     // refresh DL CQI A30 Map
-    std::map<uint16_t, uint32_t>::iterator itA30 = m_a30CqiTimers.begin();
+    auto itA30 = m_a30CqiTimers.begin();
     while (itA30 != m_a30CqiTimers.end())
     {
         NS_LOG_INFO(this << " A30-CQI for user " << (*itA30).first << " is "
@@ -2380,12 +2308,12 @@
         if ((*itA30).second == 0)
         {
             // delete correspondent entries
-            std::map<uint16_t, SbMeasResult_s>::iterator itMap = m_a30CqiRxed.find((*itA30).first);
+            auto itMap = m_a30CqiRxed.find((*itA30).first);
             NS_ASSERT_MSG(itMap != m_a30CqiRxed.end(),
                           " Does not find CQI report for user " << (*itA30).first);
             NS_LOG_INFO(this << " A30-CQI expired for user " << (*itA30).first);
             m_a30CqiRxed.erase(itMap);
-            std::map<uint16_t, uint32_t>::iterator temp = itA30;
+            auto temp = itA30;
             itA30++;
             m_a30CqiTimers.erase(temp);
         }
@@ -2401,7 +2329,7 @@
 PssFfMacScheduler::RefreshUlCqiMaps()
 {
     // refresh UL CQI  Map
-    std::map<uint16_t, uint32_t>::iterator itUl = m_ueCqiTimers.begin();
+    auto itUl = m_ueCqiTimers.begin();
     while (itUl != m_ueCqiTimers.end())
     {
         NS_LOG_INFO(this << " UL-CQI for user " << (*itUl).first << " is "
@@ -2409,13 +2337,13 @@
         if ((*itUl).second == 0)
         {
             // delete correspondent entries
-            std::map<uint16_t, std::vector<double>>::iterator itMap = m_ueCqi.find((*itUl).first);
+            auto itMap = m_ueCqi.find((*itUl).first);
             NS_ASSERT_MSG(itMap != m_ueCqi.end(),
                           " Does not find CQI report for user " << (*itUl).first);
             NS_LOG_INFO(this << " UL-CQI exired for user " << (*itUl).first);
             (*itMap).second.clear();
             m_ueCqi.erase(itMap);
-            std::map<uint16_t, uint32_t>::iterator temp = itUl;
+            auto temp = itUl;
             itUl++;
             m_ueCqiTimers.erase(temp);
         }
@@ -2430,9 +2358,8 @@
 void
 PssFfMacScheduler::UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size)
 {
-    std::map<LteFlowId_t, FfMacSchedSapProvider::SchedDlRlcBufferReqParameters>::iterator it;
     LteFlowId_t flow(rnti, lcid);
-    it = m_rlcBufferReq.find(flow);
+    auto it = m_rlcBufferReq.find(flow);
     if (it != m_rlcBufferReq.end())
     {
         NS_LOG_INFO(this << " UE " << rnti << " LC " << (uint16_t)lcid << " txqueue "
@@ -2487,7 +2414,7 @@
 PssFfMacScheduler::UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size)
 {
     size = size - 2; // remove the minimum RLC overhead
-    std::map<uint16_t, uint32_t>::iterator it = m_ceBsrRxed.find(rnti);
+    auto it = m_ceBsrRxed.find(rnti);
     if (it != m_ceBsrRxed.end())
     {
         NS_LOG_INFO(this << " UE " << rnti << " size " << size << " BSR " << (*it).second);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/simple-ue-component-carrier-manager.cc ns-3.40/src/lte/model/simple-ue-component-carrier-manager.cc
--- ns-3.39/src/lte/model/simple-ue-component-carrier-manager.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/simple-ue-component-carrier-manager.cc	2023-09-27 13:30:37.826839700 -0700
@@ -182,8 +182,7 @@
 SimpleUeComponentCarrierManager::DoTransmitPdu(LteMacSapProvider::TransmitPduParameters params)
 {
     NS_LOG_FUNCTION(this);
-    std::map<uint8_t, LteMacSapProvider*>::iterator it =
-        m_macSapProvidersMap.find(params.componentCarrierId);
+    auto it = m_macSapProvidersMap.find(params.componentCarrierId);
     NS_ABORT_MSG_IF(it == m_macSapProvidersMap.end(),
                     "could not find Sap for ComponentCarrier "
                         << (uint16_t)params.componentCarrierId);
@@ -197,18 +196,17 @@
 {
     NS_LOG_FUNCTION(this);
     NS_LOG_DEBUG("BSR from RLC for LCID = " << (uint16_t)params.lcid);
-    std::map<uint8_t, LteMacSapProvider*>::iterator it = m_macSapProvidersMap.find(0);
+    auto it = m_macSapProvidersMap.find(0);
     NS_ABORT_MSG_IF(it == m_macSapProvidersMap.end(), "could not find Sap for ComponentCarrier");
 
     NS_LOG_DEBUG("Size of component carrier LC map " << m_componentCarrierLcMap.size());
 
-    for (std::map<uint8_t, std::map<uint8_t, LteMacSapProvider*>>::iterator ccLcMapIt =
-             m_componentCarrierLcMap.begin();
+    for (auto ccLcMapIt = m_componentCarrierLcMap.begin();
          ccLcMapIt != m_componentCarrierLcMap.end();
          ccLcMapIt++)
     {
         NS_LOG_DEBUG("BSR from RLC for CC id = " << (uint16_t)ccLcMapIt->first);
-        std::map<uint8_t, LteMacSapProvider*>::iterator it = ccLcMapIt->second.find(params.lcid);
+        auto it = ccLcMapIt->second.find(params.lcid);
         if (it != ccLcMapIt->second.end())
         {
             it->second->ReportBufferStatus(params);
@@ -227,7 +225,7 @@
     LteMacSapUser::TxOpportunityParameters txOpParams)
 {
     NS_LOG_FUNCTION(this);
-    std::map<uint8_t, LteMacSapUser*>::iterator lcidIt = m_lcAttached.find(txOpParams.lcid);
+    auto lcidIt = m_lcAttached.find(txOpParams.lcid);
     NS_ABORT_MSG_IF(lcidIt == m_lcAttached.end(),
                     "could not find LCID" << (uint16_t)txOpParams.lcid);
     NS_LOG_DEBUG(this << " lcid = " << (uint32_t)txOpParams.lcid
@@ -245,7 +243,7 @@
 SimpleUeComponentCarrierManager::DoReceivePdu(LteMacSapUser::ReceivePduParameters rxPduParams)
 {
     NS_LOG_FUNCTION(this);
-    std::map<uint8_t, LteMacSapUser*>::iterator lcidIt = m_lcAttached.find(rxPduParams.lcid);
+    auto lcidIt = m_lcAttached.find(rxPduParams.lcid);
     NS_ABORT_MSG_IF(lcidIt == m_lcAttached.end(),
                     "could not find LCID" << (uint16_t)rxPduParams.lcid);
     if (lcidIt != m_lcAttached.end())
@@ -265,11 +263,10 @@
     NS_ABORT_MSG_IF(m_lcAttached.find(lcid) == m_lcAttached.end(), "could not find LCID " << lcid);
     m_lcAttached.erase(lcid);
     // send back all the configuration to the componentCarrier where we want to remove the Lc
-    std::map<uint8_t, std::map<uint8_t, LteMacSapProvider*>>::iterator it =
-        m_componentCarrierLcMap.begin();
+    auto it = m_componentCarrierLcMap.begin();
     while (it != m_componentCarrierLcMap.end())
     {
-        std::map<uint8_t, LteMacSapProvider*>::iterator lcToRemove = it->second.find(lcid);
+        auto lcToRemove = it->second.find(lcid);
         if (lcToRemove != it->second.end())
         {
             res.insert(res.end(), it->first);
@@ -287,7 +284,7 @@
 {
     NS_LOG_FUNCTION(this);
     // same semantics as LteUeMac::DoRest
-    std::map<uint8_t, LteMacSapUser*>::iterator it = m_lcAttached.begin();
+    auto it = m_lcAttached.begin();
     while (it != m_lcAttached.end())
     {
         // don't delete CCCH
@@ -310,11 +307,10 @@
 {
     NS_LOG_FUNCTION(this);
     std::vector<LteUeCcmRrcSapProvider::LcsConfig> res;
-    std::map<uint8_t, LteMacSapUser*>::iterator it = m_lcAttached.find(lcId);
+    auto it = m_lcAttached.find(lcId);
     NS_ABORT_MSG_IF(it != m_lcAttached.end(), "Warning, LCID " << lcId << " already exist");
     m_lcAttached.insert(std::pair<uint8_t, LteMacSapUser*>(lcId, msu));
     LteUeCcmRrcSapProvider::LcsConfig elem;
-    std::map<uint8_t, std::map<uint8_t, LteMacSapProvider*>>::iterator ccLcMapIt;
     for (uint8_t ncc = 0; ncc < m_noOfComponentCarriers; ncc++)
     {
         elem.componentCarrierId = ncc;
@@ -322,7 +318,7 @@
         elem.msu = m_ccmMacSapUser;
         res.insert(res.end(), elem);
 
-        ccLcMapIt = m_componentCarrierLcMap.find(ncc);
+        auto ccLcMapIt = m_componentCarrierLcMap.find(ncc);
         if (ccLcMapIt != m_componentCarrierLcMap.end())
         {
             ccLcMapIt->second.insert(
@@ -331,9 +327,8 @@
         else
         {
             std::map<uint8_t, LteMacSapProvider*> empty;
-            std::pair<std::map<uint8_t, std::map<uint8_t, LteMacSapProvider*>>::iterator, bool>
-                ret = m_componentCarrierLcMap.insert(
-                    std::pair<uint8_t, std::map<uint8_t, LteMacSapProvider*>>(ncc, empty));
+            auto ret = m_componentCarrierLcMap.insert(
+                std::pair<uint8_t, std::map<uint8_t, LteMacSapProvider*>>(ncc, empty));
             NS_ABORT_MSG_IF(!ret.second,
                             "element already present, ComponentCarrierId already exist");
             ccLcMapIt = m_componentCarrierLcMap.find(ncc);
@@ -352,7 +347,7 @@
     LteMacSapUser* msu)
 {
     NS_LOG_FUNCTION(this);
-    std::map<uint8_t, LteMacSapUser*>::iterator it = m_lcAttached.find(lcid);
+    auto it = m_lcAttached.find(lcid);
     // if the following assert is hit, e.g., in handover scenarios, it means
     //  the DoRest function is not called by UE RRC
     NS_ABORT_MSG_IF(it != m_lcAttached.end(),
@@ -360,10 +355,9 @@
 
     m_lcAttached.insert(std::pair<uint8_t, LteMacSapUser*>(lcid, msu));
 
-    std::map<uint8_t, std::map<uint8_t, LteMacSapProvider*>>::iterator ccLcMapIt;
     for (uint8_t ncc = 0; ncc < m_noOfComponentCarriers; ncc++)
     {
-        ccLcMapIt = m_componentCarrierLcMap.find(ncc);
+        auto ccLcMapIt = m_componentCarrierLcMap.find(ncc);
         if (ccLcMapIt != m_componentCarrierLcMap.end())
         {
             ccLcMapIt->second.insert(
@@ -372,9 +366,8 @@
         else
         {
             std::map<uint8_t, LteMacSapProvider*> empty;
-            std::pair<std::map<uint8_t, std::map<uint8_t, LteMacSapProvider*>>::iterator, bool>
-                ret = m_componentCarrierLcMap.insert(
-                    std::pair<uint8_t, std::map<uint8_t, LteMacSapProvider*>>(ncc, empty));
+            auto ret = m_componentCarrierLcMap.insert(
+                std::pair<uint8_t, std::map<uint8_t, LteMacSapProvider*>>(ncc, empty));
             NS_ABORT_MSG_IF(!ret.second,
                             "element already present, ComponentCarrierId already existed");
             ccLcMapIt = m_componentCarrierLcMap.find(ncc);
